# Augmented.js Presentation
## The Augmented.js Framework Presentation Module
### Version 1.6.x
### Faridah Malik
**aug·ment·ed**
/ˌôɡˈmentəd /
*adjective*
adjective: augmented

    1. having been made greater in size or value.


**Augmented.js** is a javascript framework similar in concept to Backbone.js.  Augmented.js provides a large set of functionality designed to develop single pages applications easier.

The key focus of the project is to tie a number of missing features, patterns, and what would normally be third-party plugins together in a powerful framework.  Another goal of *Augmented.js* is to limit third party libraries for a smaller footprint, easy dependency management, and high performance.  Performance is a key item in the framework.  In every case the performance will beat other libraries and frameworks (such as jQuery) usually by large amounts.

# Modules

*All JSDoc documentation is under the /jsdoc directory in the distribution as well as on the site at http://www.augmentedjs.com/jsdoc*

## Presentation

The **Presentation** extension adds extensive abilities to the presentation layer.

This extension adds:
* Mediator patterned PubSub Views
* MVVM Decorator Views with declaratives
* Enhanced Application Object
  - PubSub mediation and bootstrapping for Application objects
  - CSS Stylesheet registration and injection
  - breadcrumb management
* Automatic Tables generated from a JSON schema and data
  - sortable
  - editable
  - pagination
  - local storage capable
  - linkable
* Automatic Forms generated from a JSON schema
* Dialog Views
* Component UI Classes
  - Hamburger Menu
  - Toolbar
  - Header
